<?php

namespace App\Http\Controllers\Admin;

use App\Classes\Files;
use App\Classes\Reply;
use App\Events\SalaryEvent;
use App\Events\CreateEmployeeEvent;
use App\Exports\EmployeeExport;
use App\Http\Controllers\AdminBaseController;
use App\Http\Requests\Admin\Employee\CreateRequest;
// use App\Http\Requests\Admin\Employee\UpdateRequest;
use App\Http\Requests\Admin\Salary\IndexRequest;
use App\Http\Requests\Admin\Salary\UpdateRequest;
use App\Models\Bank_detail;
use App\Models\Department;
use App\Models\Designation;
use App\Models\Employee;
use App\Models\Employee_document;
use App\Models\Salary;
use App\Models\SalaryDetails;
use Illuminate\Support\Facades\DB;
// use Illuminate\Support\Facades\Request;
use Illuminate\Support\Facades\View;
use Illuminate\Support\Facades\Input; 
use Illuminate\Http\Request;
use Response;
use Yajra\DataTables\Facades\DataTables;

class SalarySlipsController extends AdminBaseController
{
    public function __construct()
    {
        parent::__construct();
        $this->pageTitle = 'SalarySlips';
        $this->salaryDetails = Salary::all();
        $this->salary = SalaryDetails::all();
        $this->employees = Employee::all();
    }

    public function salarySlips(IndexRequest $request)
    {
        $this->salaryDetails = Salary::orderBy('salary', 'desc')->get();

        return View::make('admin.salary_slips.salary_slips', $this->data);
    }

    public function show($id)
    {
        $this->employee = Employee::getdetailsbydataid($id);
        $this->salary = SalaryDetails::getdetailsdataid($id);

        return View::make('admin.salary_slips.salaryDetails', $this->data);
    }

    public function ajax_salary()
    {
        // $result = Salary::select('salary.id', 'salary.employeeID', 'employees.fullName', 'salary.salary', 'employees.joiningDate', 'salary.type','salary.remarks')
        //     ->join('employees', 'salary.employeeID', '=', 'employees.employeeID');

        // return DataTables::of($result)
        // ->editColumn('joiningDate', function ($row) {
        //             return date('d-M-Y', strtotime($row->joiningDate));
        //         })
        //     ->addColumn('edit', function ($row) {
        //         return '<a  class="btn btn-sm purple"  href="' . route('admin.salary_slips.salaryDetails', $row->employeeID) . '" ><i class="fa fa-edit"></i> View History</a>
        //                     &nbsp;<a  class="btn btn-sm red"  href="' . route('admin.salary_slips.edit', $row->id) . '" ><i class="fa fa-edit"></i> SalaryBreakUp</a>';
        //     })
        //     ->escapeColumns(['edit'])
        //     ->removeColumn('type')
        //     ->make(false);
    }

    public function ajax_salaryDetails()
    {
        // $result = SalaryDetails::select('salarydetails.id', 'salarydetails.employeeID', 'employees.fullName', 'salarydetails.salary', 'employees.joiningDate', 'salarydetails.dearnessAllowance','salarydetails.specialAllowance')
        //     ->join('employees', 'salarydetails.employeeID', '=', 'employees.employeeID')
        //     // ->where('salarydetails.employeeID', '=',  $this->employee.employeeID)
        //     ->orderBy('employeeID', 'desc');

        // return DataTables::of($result)
        // // ->removeColumn('employeeID')
        //     ->make(false);
    }
    
    public function edit($id)
    {
        $this->salaryDetails = Salary::find($id);
        $this->employees = Employee::pluck('fullName','employeeID');
        return View::make('admin.salary_slips.edit', $this->data);
    }

    public function edit_salary(Request $request){
    
        $all_SalaryDetail = DB::table('salaryDetails');
    
        return Response::json([
                'success'     => true,
                'BasicSalary' => $request->basic_Salary + + $request->dearness_Allowance + + $request->hra + + $request->special_Allowance,
            ]);
    }

    /**
     * @param UpdateRequest $request
     * @param $id
     * @return array
     */
    public function update(UpdateRequest $request, $id)
    {
        if ($this->setting->salary_notification == 1) {
            $employee = Employee::select('id', 'email', 'fullName')->where('employeeID', '=', $request->employeeID)->first();

            // Send Salary Mail
            event(new SalaryEvent($employee, $request->salary));
        }

        $salaryDetails = Salary::findOrFail($id);

        $salaryDetails->update($request->toArray());

        $salaryDetails = SalaryDetails::updateOrCreate([

            'employeeID'=>request('employeeID'), 
            'basicSalary' => request('basicSalary'),
            'specialAllowance' => request('specialAllowance'),
            'dearnessAllowance' => request('dearnessAllowance'),
            'HRA' => request('HRA'),
            'salary' => request('salary'),
            'updatedOn'   => request('updatedOn'),

        ]);

        $salaryDetails->update($request->toArray());

        return Reply::redirect(route('admin.salary_slips.salary_slips'), '<strong>Success</strong> Updated Successfully');
    }
}
