<?php

namespace App\Observers;

use App\Events\NoticeBoardEvent;
use App\Models\Employee;
use App\Models\Noticeboard;
use App\Models\Setting;

class NoticeboardObserver
{
    /**
     * Handle the noticeboard "created" event.
     *
     * @param  \App\Models\Noticeboard $noticeboard
     * @return void
     */
    public function created(Noticeboard $noticeboard)
    {
        if (!\App::runningInConsole()) {

            $setting = Setting::first();

            if ($setting->notice_notification) {
                $comp_name =  ['TT', 'DB'];
                if($noticeboard->company == 'Techtonic'){
                    $comp_name = ['TT'];
                }elseif($noticeboard->company == 'DesignBox') {
                    $comp_name = ['DB'];
                }

                // Send email to all employees
                $employees = Employee::select('id', 'email')->whereIn('CompanyName', $comp_name)->active()->get();

                foreach ($employees as $employee) {
                    event(new NoticeBoardEvent($employee));
                }
            }
        }

    }

}
