@extends('admin.adminlayouts.adminlayout')

@section('head')
    <!-- BEGIN PAGE LEVEL STYLES -->
    {!! HTML::style("assets/global/plugins/bootstrap-select/bootstrap-select.min.css") !!}
    {!! HTML::style("assets/global/plugins/select2/select2.css") !!}
    {!! HTML::style("assets/global/plugins/jquery-multi-select/css/multi-select.css") !!}
    <!-- BEGIN THEME STYLES -->
@stop


@section('mainarea')

			
			<!-- BEGIN PAGE HEADER-->
			<h3 class="page-title">
			 Salary BreakUp </small>
			</h3>
			<div class="page-bar">
				<ul class="page-breadcrumb">
					<li>
						<i class="fa fa-home"></i>
						<a href="{{route('admin.dashboard.index')}}">Home</a>
						<i class="fa fa-angle-right"></i>
					</li>
					<li>
						<a href="{{ route('admin.salary_slips.salary_slips') }}">Salary</a>
						<i class="fa fa-angle-right"></i>
					</li>
					<li>
						<a href=""> Salary BreakUp</a>
					</li>
				</ul>
			
			</div>
            <!-- END PAGE HEADER-->
            
			<!-- BEGIN PAGE CONTENT-->
			<div class="row">
				<div class="col-md-12">

					<!-- BEGIN EXAMPLE TABLE PORTLET-->
			<!-- BEGIN PAGE CONTENT-->
			<div class="row">
				<div class="col-md-12">
					<!-- BEGIN EXAMPLE TABLE PORTLET-->
					<div class="portlet box blue">
						<div class="portlet-title">
							<div class="caption">
								<i class="fa fa-edit"></i>Salary BreakUp
							</div>
							<div class="tools">
							</div>
						</div>

						<div class="portlet-body form">
                        <!------------------------ BEGIN FORM---------------------->
                        {{-- {{dd($salaryDetails)}} --}}
						    {!!  Form::model($salaryDetails, ['method' => 'POST', 'class'=>'form-horizontal form-bordered', 'id' => 'edit_salary_form'])  !!}

                            <div class="form-body">

                                <div class="form-group">
                                    <label class="control-label col-md-2">Update From <span class="required">
                                        * </span></label>
                                    <div class="col-md-2">
                                        <div class="input-group input-medium date date-picker" data-date-format="dd-mm-yyyy"
                                             data-date-viewmode="years">
                                            <input type="date" class="form-control" name="updatedOn" 
                                                  >
                                        </div>
                                    </div>
                                </div>        

                            <div class="form-group">
                                <label class="col-md-2 control-label">BasicSalary: <span class="required">
                                * </span>
                                    </label>
                                    <div class="col-md-6">
                                        <input type="text" class="form-control SalaryTotal" name="basicSalary" placeholder=" Basic Salary" value="{{ $salaryDetails->basicSalary }}">
                                     </div>
                                </div>

                                <div class="form-group">
                                    <label class="col-md-2 control-label">HRA: <span class="required">
                                    * </span>
                                        </label>
                                        <div class="col-md-6">
                                            <input type="text" class="form-control SalaryTotal" name="HRA" placeholder=" HRA" value="{{ $salaryDetails->HRA }}">
                                         </div>
                                    </div>

                                    <div class="form-group">
                                        <label class="col-md-2 control-label">Dearness Allowance: <span class="required">
                                        * </span>
                                            </label>
                                            <div class="col-md-6">
                                                <input type="text" class="form-control SalaryTotal" name="dearnessAllowance" placeholder=" dearnessAllowance" value="{{ $salaryDetails->dearnessAllowance }}">
                                             </div>
                                        </div>

                                        <div class="form-group">
                                            <label class="col-md-2 control-label">Special Allowance: <span class="required">
                                            * </span>
                                                </label>
                                                <div class="col-md-6">
                                                    <input type="text" class="form-control SalaryTotal" name="specialAllowance" placeholder=" specialAllowance" value="{{ $salaryDetails->specialAllowance }}">
                                                 </div>
                                            </div>

                                        <div class="form-group">
                                        
                                                <div class="col-md-8">
                                                    <input type="hidden" class="form-control" name="employeeID" value="{{ $salaryDetails->employeeID }}">
                                                </div>

                                        </div>
                                        <hr>
                                        <div class="form-group">
                                            <label class="col-md-2 control-label">Net Salary: <span class="required">
                                            * </span>
                                                </label>
                                                <div class="col-md-6">
                                                    <input type="text" class="form-control" name="salary" id="NetSalary" placeholder=" Net Salary" value="{{ $salaryDetails->salary }}">
                                                 </div>
                                            </div>

                            <div class="form-actions">
                                <div class="row">
                                    <div class="col-md-offset-3 col-md-9">
                                        <button type="button" onclick="updateSalary({{$salaryDetails->id}});return false;"   class="btn green"><i class="fa fa-check"></i> Submit</button>

                                    </div>
                                </div>
                            </div>
                        {!!  Form::close()  !!}
                       <!------------------------- END FORM ----------------------->

						</div>
                        </div>
					<!-- END EXAMPLE TABLE PORTLET-->
					
				</div>
			</div>
			<!-- END PAGE CONTENT-->



@stop

@section('footerjs')

<!-- BEGIN PAGE LEVEL PLUGINS -->
{!! HTML::script("assets/global/plugins/bootstrap-select/bootstrap-select.min.js") !!}
{!! HTML::script("assets/global/plugins/select2/select2.min.js") !!}
{!! HTML::script("assets/global/plugins/jquery-multi-select/js/jquery.multi-select.js") !!}
<!-- END PAGE LEVEL PLUGINS -->


<script type="text/javascript">
    $(document).ready(function() {

        $.ajaxSetup({
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            }
        });

        $('.SalaryTotal').change(function(e) { 
            var basic_Salary = $("input[name=basicSalary]").val();
            var dearness_Allowance = $("input[name=dearnessAllowance]").val();
            var hra = $("input[name=HRA]").val();
            var special_Allowance = $("input[name=specialAllowance]").val();
            if (basic_Salary != '') {
                $.ajax({
                    url: "{{ url('/admin/salary_slips/edit_salary') }}"
                    , type: 'POST'
                    , data:{ 
                              basic_Salary: basic_Salary,
                              dearness_Allowance: dearness_Allowance,
                              hra : hra,
                              special_Allowance : special_Allowance
                            }
                    , dataType: 'json'
                    , beforeSend: function() {}
                    , complete: function() {}
                    , success: function(json) {
                        if (json['success'] == true) {
                            $('#NetSalary').val(json['BasicSalary']);
                        }
                        if (json['success'] == false) {
                            if (json['errors']['warning']) {
                                alert(json['errors']['warning']);
                            }
                        }
                    }
                    , error: function(data) {
                        var errors = data.responseJSON;
                    }
                });
            }
        });
    });
</script> 

  <script>
      // Javascript function to update the company info and Bank Info
      function updateSalary(id){

          var url = "{{ route('admin.salary_slips.update',':id') }}";
          url = url.replace(':id',id);
          $.easyAjax({
              type: 'POST',
              url: url,
              container: '#edit_salary_form',
              data: $('#edit_salary_form').serialize(),
          });
      }
  </script>
@stop