@extends('admin.adminlayouts.adminlayout')

@section('head')
	<!-- BEGIN PAGE LEVEL STYLES -->
	{!! HTML::style("assets/global/plugins/select2/select2.css") !!}
	{!! HTML::style("assets/global/plugins/datatables/plugins/bootstrap/dataTables.bootstrap.css") !!}
	<!-- END PAGE LEVEL STYLES -->

@stop


@section('mainarea')


			<!-- BEGIN PAGE HEADER-->
			<h3 class="page-title">
			{{$pageTitle}}
			</h3>
			<div class="page-bar">
				<ul class="page-breadcrumb">
					<li>
						<i class="fa fa-home"></i>
						<a href="{{route('admin.dashboard.index')}}">Home</a>
						<i class="fa fa-angle-right"></i>
					</li>
					<li>
                        <a href="{{ route("admin.salary_slips.salary_slips") }}">Salary_Slips</a>
                        <i class="fa fa-angle-right"></i>
                        <a href="#">Salary Details</a>
						<i class="fa "></i>
					</li>

				</ul>

			</div>
			<!-- END PAGE HEADER-->
			<!-- BEGIN PAGE CONTENT-->
			<div class="row">
				<div class="col-md-12">

					<!-- BEGIN EXAMPLE TABLE PORTLET-->
					<div id="load">

					@if(Session::get('success'))
					    <div class="alert alert-success">{!! Session::get('success') !!}</div>
                    @endif

					</div>
					<div class="portlet box blue">
						<div class="portlet-title">
							<div class="caption">
								<i class="fa fa-trophy"></i>Salary Details
							</div>
							<div class="tools">
							</div>
						</div>

						<div class="portlet-body">


							<table class="table table-striped table-bordered table-hover" id="salary2">
								<thead>
									<tr>
										<th> S.No </th>
										<th> Employee Name</th>
										<th> Updated From </th>
										<th> Basic Salary </th>
										<th> HRA </th>
										<th> Dearness Allowance </th>
										<th> Special Allowance </th>
										<th> Salary</th>
									</tr>
								</thead>
								<tbody>
								@if($salary)
								@php
								$count_i=1;
								@endphp
									@foreach($salary as $key => $salaryDetails)
										<tr>
											<td>{{$count_i++}}</td>
											<td> {{ (\App\Models\Employee::getdatabyname($salaryDetails['employeeID']))}}</td>
											<td>{{$salaryDetails['updatedOn']}}</td>
											<td>{{$salaryDetails['basicSalary']}}</td>
											<td>{{$salaryDetails['HRA']}}</td>
											<td>{{$salaryDetails['dearnessAllowance']}}</td>
											<td>{{$salaryDetails['specialAllowance']}}</td>
											<td>{{$salaryDetails['salary']}}</td>
										</tr>
									@endforeach
								@endif
								</tbody>
							</table>
						</div>
					</div>
					<!-- END EXAMPLE TABLE PORTLET-->

				</div>
			</div>
			<!-- END PAGE CONTENT-->
@stop



@section('footerjs')


<!-- BEGIN PAGE LEVEL PLUGINS -->
	{!!  HTML::script("assets/global/plugins/select2/select2.min.js") !!}
  {!! HTML::script("assets/global/plugins/bootstrap-switch/js/bootstrap-switch.min.js") !!}
	{!!  HTML::script("assets/global/plugins/datatables/media/js/jquery.dataTables.min.js") !!}
	{!!  HTML::script("assets/global/plugins/datatables/plugins/bootstrap/dataTables.bootstrap.js") !!}

<!-- END PAGE LEVEL PLUGINS -->

<script src="{{asset('js/datatable.js')}}"></script>
<script type="text/javascript">
	$(document).ready(function(e) {
		// data Table //
		$('#salary2').DataTable();


		if ($('.datetimepicker').length != 0) {
			md.initFormExtendedDatetimepickers();
		}
		if ($('#fullCalendar').length != 0) {
			md.initFullCalendar();
		}

		if ($('.slider').length != 0) {
			md.initSliders();
		}
	   
		$('[data-toggle="tooltip"]').tooltip();

		$('[data-toggle="popover"]').popover();

		if ($('#worldMap').length != 0) {
			md.initVectorMap();
		}

		if ($('#RegisterValidation').length != 0) {

			setFormValidation('#RegisterValidation');

			function setFormValidation(id) {
				$(id).validate({
					highlight: function(element) {
						$(element).closest('.form-group').removeClass('has-success').addClass('has-danger');
						$(element).closest('.form-check').removeClass('has-success').addClass('has-danger');
					}
					, success: function(element) {
						$(element).closest('.form-group').removeClass('has-danger').addClass('has-success');
						$(element).closest('.form-check').removeClass('has-danger').addClass('has-success');
					}
					, errorPlacement: function(error, element) {
						$(element).closest('.form-group').append(error);
					}
				, });
			}
		}

		$('.form-file-simple .inputFileVisible').click(function() {
			$(this).siblings('.inputFileHidden').trigger('click');
		});

		$('.form-file-simple .inputFileHidden').change(function() {
			var filename = $(this).val().replace(/C:\\fakepath\\/i, '');
			$(this).siblings('.inputFileVisible').val(filename);
		});

		$('.form-file-multiple .inputFileVisible, .form-file-multiple .input-group-btn').click(function() {
			console.log('xx');
			$(this).parent().parent().find('.inputFileHidden').trigger('click');
			$(this).parent().parent().addClass('is-focused');
		});

		$('.form-file-multiple .inputFileHidden').change(function() {
			var names = '';
			for (var i = 0; i < $(this).get(0).files.length; ++i) {
				if (i < $(this).get(0).files.length - 1) {
					names += $(this).get(0).files.item(i).name + ',';
				} else {
					names += $(this).get(0).files.item(i).name;
				}
			}
			$(this).siblings('.input-group').find('.inputFileVisible').val(names);
		});

		$('.form-file-multiple .btn').on('focus', function() {
			$(this).parent().siblings().trigger('focus');
		});

		$('.form-file-multiple .btn').on('focusout', function() {
			$(this).parent().siblings().trigger('focusout');
		});
	});


	// Update coupon status

	$(".CouponStatus").change(function(){
		var id = $(this).attr('rel');
		if($(this).prop("checked")== true){
			$.ajax({
				headers: {
					'X-CSRF_TOKEN': $('meta[name="csrf-token"]').attr('content')
				},
				type : 'post',
				url :  '/admin/update-coupon-status',
				data :  {status:'1',id:id},
				success:function(data){
					$("#message_success").show();
					setTimeout(function(){
						 $("#message_success").fadeOut('slow'); } , 2000);
				},error:function(){
					alert("Error");
				}
			});
		}else{
			$.ajax({
				headers: {
					'X-CSRF_TOKEN': $('meta[name="csrf-token"]').attr('content')
				},
				type : 'post',
				url :  '/admin/update-coupon-status',
				data :  {status:'1',id:id},
				success:function(data){
					$("#message_error").show();
					setTimeout(function(){
						 $("#message_error").fadeOut('slow'); } , 2000);
				},error:function(){
					alert("Error");
				}
			});
		}
	});

</script>
@stop
