@extends('admin.adminlayouts.adminlayout')

@section('head')
	<!-- BEGIN PAGE LEVEL STYLES -->
	{!! HTML::style("assets/global/plugins/select2/select2.css") !!}
	{!! HTML::style("assets/global/plugins/datatables/plugins/bootstrap/dataTables.bootstrap.css") !!}
	<!-- END PAGE LEVEL STYLES -->

@stop


@section('mainarea')


			<!-- BEGIN PAGE HEADER-->
			<h3 class="page-title">
			{{$pageTitle}}
			</h3>
			<div class="page-bar">
				<ul class="page-breadcrumb">
					<li>
						<i class="fa fa-home"></i>
						<a href="{{route('admin.dashboard.index')}}">Home</a>
						<i class="fa fa-angle-right"></i>
					</li>
					<li>
						<a href="#">Salary Slips</a>
						<i class="fa "></i>
					</li>

				</ul>

			</div>
			<!-- END PAGE HEADER-->
					<div id="load">

					@if(Session::get('success'))
					    <div class="alert alert-success">{!! Session::get('success') !!}</div>
                    @endif

					</div>
					<div class="portlet box blue">
						<div class="portlet-title">
							<div class="caption">
								<i class="fa fa-trophy"></i>Salary Slip List
							</div>
							<div class="tools">
							</div>
						</div>

						<div class="portlet-body">


							<table class="table table-striped table-bordered table-hover" id="salary1">
								<thead>
									<tr>
										<th> S.No </th>
										<th> Employee FullName</th>
										<th> Type </th>
										<th> UpdatedOn </th>
										<th> Salary </th>
										<th> Basic Salary</th>
										<th> HRA </th>
										<th> Dearness Allowance </th>
										<th> Special Allowance </th>
										<th> Action </th>
									</tr>
								</thead>
								<tbody>
							   @if(count($salaryDetails)>0)
							   @php
							   $count_i=1;
							   @endphp
							   @foreach($salaryDetails as $key => $salary)
								   <tr>
									    <td>{{$count_i++}}</td>
									    <td> {{ (\App\Models\Employee::getdatabyname($salary['employeeID']))}}</td>
									    <td>{{$salary['type']}}</td>
									    <td>{{date('d-M-Y', strtotime($salary['joiningDate']))}}</td>
										<td>{{$salary['salary']}}</td>
										<td>{{$salary['basicSalary']}}</td>
										<td>{{$salary['HRA']}}</td>
										<td>{{$salary['dearnessAllowance']}}</td>
										<td>{{$salary['specialAllowance']}}</td>
										<td>
											<a  class="btn btn-sm purple" href="{{ route('admin.salary_slips.salaryDetails',['id'=>$salary['employeeID']])}}"<i class="fa fa-edit"></i> View History</a>
                                       &nbsp;<a  class="btn btn-sm red"  href="{{route('admin.salary_slips.edit', ['id'=>$salary['id']])}}" ><i class="fa fa-edit"></i> SalaryBreakUp</a>
										</td>
									</tr>
							   @endforeach
							   @else
							   <tr>
								<th colspan="10" class="text-center">No Data Available</th>
							   </tr>
							   @endif
								</tbody>
							</table>
						</div>
					</div>
					<!-- END EXAMPLE TABLE PORTLET-->

				</div>
			</div>
			<!-- END PAGE CONTENT-->

			{{--DELETE MODAL CALLING--}}
			@include('admin.include.delete-modal')
            {{--DELETE MODAL CALLING END--}}
@stop



@section('footerjs')


<!-- BEGIN PAGE LEVEL PLUGINS -->
	{!!  HTML::script("assets/global/plugins/select2/select2.min.js") !!}
    {!! HTML::script("assets/global/plugins/bootstrap-switch/js/bootstrap-switch.min.js") !!}
	{!!  HTML::script("assets/global/plugins/datatables/media/js/jquery.dataTables.min.js") !!}
	{!!  HTML::script("assets/global/plugins/datatables/plugins/bootstrap/dataTables.bootstrap.js") !!}

<!-- END PAGE LEVEL PLUGINS -->
<script src="{{asset('js/datatable.js')}}"></script>
<script type="text/javascript">
	$(document).ready(function(e) {
		// data Table //
		$('#salary1').DataTable();


		if ($('.datetimepicker').length != 0) {
			md.initFormExtendedDatetimepickers();
		}
		if ($('#fullCalendar').length != 0) {
			md.initFullCalendar();
		}

		if ($('.slider').length != 0) {
			md.initSliders();
		}
	   
		$('[data-toggle="tooltip"]').tooltip();

		$('[data-toggle="popover"]').popover();

		if ($('#worldMap').length != 0) {
			md.initVectorMap();
		}

		if ($('#RegisterValidation').length != 0) {

			setFormValidation('#RegisterValidation');

			function setFormValidation(id) {
				$(id).validate({
					highlight: function(element) {
						$(element).closest('.form-group').removeClass('has-success').addClass('has-danger');
						$(element).closest('.form-check').removeClass('has-success').addClass('has-danger');
					}
					, success: function(element) {
						$(element).closest('.form-group').removeClass('has-danger').addClass('has-success');
						$(element).closest('.form-check').removeClass('has-danger').addClass('has-success');
					}
					, errorPlacement: function(error, element) {
						$(element).closest('.form-group').append(error);
					}
				, });
			}
		}

		$('.form-file-simple .inputFileVisible').click(function() {
			$(this).siblings('.inputFileHidden').trigger('click');
		});

		$('.form-file-simple .inputFileHidden').change(function() {
			var filename = $(this).val().replace(/C:\\fakepath\\/i, '');
			$(this).siblings('.inputFileVisible').val(filename);
		});

		$('.form-file-multiple .inputFileVisible, .form-file-multiple .input-group-btn').click(function() {
			console.log('xx');
			$(this).parent().parent().find('.inputFileHidden').trigger('click');
			$(this).parent().parent().addClass('is-focused');
		});

		$('.form-file-multiple .inputFileHidden').change(function() {
			var names = '';
			for (var i = 0; i < $(this).get(0).files.length; ++i) {
				if (i < $(this).get(0).files.length - 1) {
					names += $(this).get(0).files.item(i).name + ',';
				} else {
					names += $(this).get(0).files.item(i).name;
				}
			}
			$(this).siblings('.input-group').find('.inputFileVisible').val(names);
		});

		$('.form-file-multiple .btn').on('focus', function() {
			$(this).parent().siblings().trigger('focus');
		});

		$('.form-file-multiple .btn').on('focusout', function() {
			$(this).parent().siblings().trigger('focusout');
		});
	});


	// Update coupon status

	$(".CouponStatus").change(function(){
		var id = $(this).attr('rel');
		if($(this).prop("checked")== true){
			$.ajax({
				headers: {
					'X-CSRF_TOKEN': $('meta[name="csrf-token"]').attr('content')
				},
				type : 'post',
				url :  '/admin/update-coupon-status',
				data :  {status:'1',id:id},
				success:function(data){
					$("#message_success").show();
					setTimeout(function(){
						 $("#message_success").fadeOut('slow'); } , 2000);
				},error:function(){
					alert("Error");
				}
			});
		}else{
			$.ajax({
				headers: {
					'X-CSRF_TOKEN': $('meta[name="csrf-token"]').attr('content')
				},
				type : 'post',
				url :  '/admin/update-coupon-status',
				data :  {status:'1',id:id},
				success:function(data){
					$("#message_error").show();
					setTimeout(function(){
						 $("#message_error").fadeOut('slow'); } , 2000);
				},error:function(){
					alert("Error");
				}
			});
		}
	});

</script>
@stop
