<!DOCTYPE html>
<html lang="en" xmlns="http://www.w3.org/1999/xhtml" xmlns:v="urn:schemas-microsoft-com:vml" xmlns:o="urn:schemas-microsoft-com:office:office">
<head>
    <meta charset="utf-8"> <!-- utf-8 works for most cases -->
    <meta name="viewport" content="width=device-width"> <!-- Forcing initial-scale shouldn't be necessary -->
    <meta http-equiv="X-UA-Compatible" content="IE=edge"> <!-- Use the latest (edge) version of IE rendering engine -->
    <meta name="x-apple-disable-message-reformatting">  <!-- Disable auto-scale in iOS 10 Mail entirely -->
    <title></title>
    <link href="https://fonts.googleapis.com/css?family=Open+Sans:400,700" rel="stylesheet">

        <link href='https://fonts.googleapis.com/css?family=Open+Sans' rel='stylesheet' type='text/css'>
    
    <style>

        html,
        body {
            margin: 0 auto !important;
            padding: 0 !important;
            height: 100% !important;
            width: 100% !important;
        }

        /* What it does: Stops email clients resizing small text. */
        * {
            -ms-text-size-adjust: 100%;
            -webkit-text-size-adjust: 100%;
        }

        /* What it does: Centers email on Android 4.4 */
        div[style*="margin: 16px 0"] {
            margin:0 !important;
        }

        /* What it does: Stops Outlook from adding extra spacing to tables. */
        table,
        td {
            mso-table-lspace: 0pt !important;
            mso-table-rspace: 0pt !important;
        }

        /* What it does: Fixes webkit padding issue. Fix for Yahoo mail table alignment bug. Applies table-layout to the first 2 tables then removes for anything nested deeper. */
        table {
            border-spacing: 0 !important;
            border-collapse: collapse !important;
            table-layout: fixed !important;
            margin: 0 auto !important;
        }
        table table table {
            table-layout: auto;
        }

        /* What it does: Uses a better rendering method when resizing images in IE. */
        img {
            -ms-interpolation-mode:bicubic;
        }

        /* What it does: A work-around for email clients meddling in triggered links. */
        *[x-apple-data-detectors],  /* iOS */
        .x-gmail-data-detectors,    /* Gmail */
        .x-gmail-data-detectors *,
        .aBn {
            border-bottom: 0 !important;
            cursor: default !important;
            color: inherit !important;
            text-decoration: none !important;
            font-size: inherit !important;
            font-family: inherit !important;
            font-weight: inherit !important;
            line-height: inherit !important;
        }

        .a6S {
            display: none !important;
            opacity: 0.01 !important;
        }
        img.g-img + div {
            display:none !important;
        }
        .button-link {
            text-decoration: none !important;
        }

     
        @media only screen and (min-device-width: 375px) and (max-device-width: 413px) { /* iPhone 6 and 6+ */
            .email-container {
                min-width: 375px !important;
            }
        }

    </style>

    <!-- Progressive Enhancements -->
    <style>

        /* What it does: Hover styles for buttons */
        .button-td,
        .button-a {
            transition: all 100ms ease-in;
        }
        .button-td:hover,
        .button-a:hover {
            background: #555555 !important;
            border-color: #555555 !important;
        }

        /* Media Queries */
        @media screen and (max-width: 600px) {

            /* What it does: Adjust typography on small screens to improve readability */
            .email-container p {
                font-size: 17px !important;
                line-height: 22px !important;
            }

        } 

    </style>


</head>
<body width="100%" bgcolor="#FFFFFF" style="margin: 0; mso-line-height-rule: exactly;">
    <center style="width: 100%; background: #FFFFFF !important; text-align: left;">


        <table role="presentation" bgcolor="#eee" cellspacing="0" cellpadding="0" border="0" align="center" width="100%">
            <tr>
                <td valign="top" align="center">
                    <div style="max-width: 600px; margin: auto;" class="email-container">
                     
                        <table role="presentation" cellspacing="0" cellpadding="0" border="0" width="100%">
                            <tr>
                                <td style="padding: 20px; text-align: center;">
                                    @if(isset($CompanyName) == "TT")
                                    <img src="{{asset('companylogo/techtonic.png')}}" width="161" alt="TechTonic" height="30px" width="117px"  border="0" style="height: auto; font-family: 'Open Sans',sans-serif; font-size: 15px; line-height: 20px; color: #555555;" />
                                    @elseif(isset($CompanyName) == "DB")
                                    <img src="{{asset('companylogo/logo.png')}}" width="161" alt="DesginBox" height="30px" width="117px"  border="0" style="height: auto; font-family: 'Open Sans',sans-serif; font-size: 15px; line-height: 20px; color: #555555;" />
                                    @elseif(isset($employee->CompanyName) == "TT")
                                    <img src="{{asset('companylogo/techtonic.png')}}" width="161" alt="TechTonic" height="30px" width="117px"  border="0" style="height: auto; font-family: 'Open Sans',sans-serif; font-size: 15px; line-height: 20px; color: #555555;" />
                                    @elseif(isset($employee->CompanyName) == "DB")
                                    <img src="{{asset('companylogo/logo.png')}}" width="161" alt="DesginBox" height="30px" width="117px"  border="0" style="height: auto; font-family: 'Open Sans',sans-serif; font-size: 15px; line-height: 20px; color: #555555;" />
                                    @else
                                    <img src="{{asset('companylogo/logo.png')}}" width="161" alt="DesginBox" height="30px" width="117px"  border="0" style="height: auto; font-family: 'Open Sans',sans-serif; font-size: 15px; line-height: 20px; color: #555555;" />
                                    @endif
                                </td>
                            </tr>
                        </table>
                     
                    </div>
                </td>
            </tr>
        </table>
        <!-- Full Bleed Background Section : END -->
        <div style="max-width: 600px; margin: auto;" class="email-container">

            <!-- Email Body : BEGIN -->
            <table role="presentation" cellspacing="0" cellpadding="0" border="0" align="center" width="100%" style="max-width: 600px;">

                <tr>
                    <td bgcolor="#ffffff">
                        <table role="presentation" cellspacing="0" cellpadding="0" border="0" width="100%">
                            <tr>
                                <td style="padding: 40px; font-family: 'Open Sans',sans-serif; font-size: 15px; line-height: 20px; color: blackphp;">
                                    @yield('content')
                                </td>
                            </tr>
                            @yield('callToAction')
                           
                        </table>
                    </td>
                </tr>
                <!-- 1 Column Text + Button : END -->

            </table>
    
        </div>

        <!-- Full Bleed Background Section : BEGIN -->
        <table role="presentation" bgcolor="#eee;" cellspacing="0" cellpadding="0" border="0" align="center" width="100%" style="background-color:#eee;">
            <tr>
                <td valign="top" align="center">
                    <div style="max-width: 600px; margin: auto;" class="email-container">
                       
                        <table role="presentation" cellspacing="0" cellpadding="0" border="0" width="100%">
                            <tr>
                                <td style="padding: 30px; text-align: center; font-family: 'Open Sans',sans-serif; font-size: 10px; line-height: 12px; color: black;">
                                    You are receiving this email because you are a part of this organization.<br/><br/>
                                    <br/><br/>
                                    {{$address ?? ''}}
                                </td>
                            </tr>
                        </table>
                        
                    </div>
                </td>
            </tr>
        </table>
        <!-- Full Bleed Background Section : END -->
    </center>
</body>
</html>