@extends('front.layouts.frontstep')
@extends('front.layouts.front')


@section('head')

<!-- BEGIN PAGE LEVEL STYLES -->
{!! HTML::style('assets/global/plugins/bootstrap-fileinput/bootstrap-fileinput.css') !!}
{!! HTML::style('assets/global/plugins/bootstrap-datepicker/css/datepicker3.css') !!}
<!-- END PAGE LEVEL STYLES -->

@stop

@section('mainarea')

{{--INLCUDE ERROR MESSAGE BOX--}}
@include('admin.common.error')
{{--END ERROR MESSAGE BOX--}}
<div class="clearfix">
</div>
<div class="col-md-12 col-sm-12">
    <div class="portlet box red-sunglo">
        <div class="portlet-title">
            <div class="caption">
                <i class="fa fa-edit"></i>Personal Details
            </div>
        </div>
        <div class="portlet-body">

            {{--------------------employeeID Form--------------------------------------------}}
            {!! Form::model($employee, ['method' => 'POST', 'class'=>'form-horizontal form-bordered', 'id' => 'edit_salary_form', 'files' => true]) !!}

            @if(session('message'))
            <div class="alert" role="alert"></div>
            {{session('success')}}
            @endif
            <div class="form-body">
                <div class="form-group ">
                    <label class="control-label col-md-2">Photo</label>
                    <div class="col-md-7">
                        <div class="fileinput fileinput-new" data-provides="fileinput">
                            <div class="fileinput-new thumbnail" style="width: 150px; height: 150px;">
                                <img src="{{asset($employee['profileImage'])}}" alt="" />

                            </div>
                            <div class="fileinput-preview fileinput-exists thumbnail" style="max-width: 150px; max-height: 150px;">
                            </div>
                            <div>
                                <span class="btn default btn-file">
                                    <span class="fileinput-new">
                                        Select image </span>
                                    <span class="fileinput-exists">
                                        Change </span>
                                    <input type="file" name="profileImage" value="{{asset($employee['profileImage'])}}" required>
                                </span>
                                <a href="#" class="btn btn-sm red fileinput-exists" data-dismiss="fileinput">
                                    Remove </a>
                            </div>
                        </div>
                        <div class="clearfix margin-top-10">
                            <span class="label label-danger">
                                NOTE! </span> Image Size must be (700px by 700px)

                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-md-2 control-label">Full Name<span class="required">* </span></label>
                    <div class="col-md-7">
                        <input type="text" name="fullName" class="form-control" value="{{$employee['fullName']}}" required>
                    </div>
                    @if($errors->has('fullName'))
                    <div class="error text-danger">{{ $errors->first('fullName') }}</div>
                    @endif
                </div>

                <div class="form-group">
                    <label class="col-md-2 control-label">Father's Name <span class="required">* </span></label>
                    <div class="col-md-7">
                        <input type="text" name="fatherName" class="form-control" value="{{$employee->fatherName}}" required>
                    </div>
                    @if($errors->has('fatherName'))
                    <div class="error text-danger">{{ $errors->first('fatherName') }}</div>
                    @endif
                </div>

                <div class="form-group">
                    <label class="col-md-2 control-label">Email<span class="required">* </span></label>
                    <div class="col-md-7">
                        <input type="email" name="email" class="form-control" readonly value="{{$employee->email}}" required>
                    </div>
                </div>

                <div class="form-group">
                    <label class="col-md-2 control-label">Alternate Email<span class="required">* </span></label>
                    <div class="col-md-7">
                        <input type="email" name="alternate_mail" class="form-control" value="{{$employee->alternate_mail}}" required>
                    </div>
                    @if($errors->has('alternate_mail'))
                    <div class="error text-danger">{{ $errors->first('alternate_mail') }}</div>
                    @endif
                </div>

                <div class="form-group">
                    <label class="col-md-2 control-label">Mobile<span class="required">* </span></label>
                    <div class="col-md-7">
                        <input type="text" name="mobileNumber" id="form1" class="form-control" value="{{$employee->mobileNumber}}" maxlength="10" minlength="10" oninput="return onlynum()" required>
                    </div>
                    @if($errors->has('mobileNumber'))
                    <div class="error text-danger">{{ $errors->first('mobileNumber') }}</div>
                    @endif
                </div>

                <div class="form-group">
                    <label class="col-md-2 control-label">Emergency Mobile<span class="required">* </span></label>
                    <div class="col-md-7">
                        <input type="text" name="emergency_phone" class="form-control" id="form2" value="{{$employee->emergency_phone}}" maxlength="10" minlength="10" required>
                    </div>
                    @if($errors->has('emergency_phone'))
                    <div class="error text-danger">{{ $errors->first('emergency_phone') }}</div>
                    @endif
                </div>

                <div class="form-group">
                    <label class="col-md-2 control-label">Local Address<span class="required">* </span></label>
                    <div class="col-md-7">
                        <textarea class="form-control" name="localAddress" rows="3" required>{{$employee->localAddress}}</textarea>
                    </div>
                    @if($errors->has('localAddress'))
                    <div class="error text-danger">{{ $errors->first('localAddress') }}</div>
                    @endif
                </div>

                <div class="form-group">
                    <label class="col-md-2 control-label">Permanent Addresss<span class="required">* </span></label>
                    <div class="col-md-7">
                        <textarea class="form-control" name="permanentAddress" rows="3" required>{{$employee->permanentAddress}}</textarea>
                    </div>
                    @if($errors->has('permanentAddress'))
                    <div class="error text-danger">{{ $errors->first('permanentAddress') }}</div>
                    @endif
                </div>
                <input type="hidden" name="step4" value="1">
            </div>

            {{----------------employeeID Form end -------------}}

        </div>
    </div>
</div>
<div class="clearfix">
</div>
<div>

    <div class="col-md-12">
        <button type="submit" class="btn blue btn-submit ">Next</button>
        <p class="text-right">Step 4 of 4</p>
    </div>
    {!! Form::close() !!}
</div>

@stop



@section('footerjs')

@stack('filter')
@stack('final')
<!-- BEGIN PAGE LEVEL PLUGINS -->
{!! HTML::script('assets/global/plugins/bootstrap-fileinput/bootstrap-fileinput.js') !!}
{!! HTML::script('assets/global/plugins/bootstrap-datepicker/js/bootstrap-datepicker.js') !!}
{!! HTML::script("assets/global/plugins/bootstrap-switch/js/bootstrap-switch.min.js") !!}
{!! HTML::script('assets/admin/pages/scripts/components-pickers.js') !!}
<!-- END PAGE LEVEL PLUGINS -->
<script>
    // Javascript function to update the company info and Bank Info
    function updateSalary(id) {

        var url = "{{ url('/step4') }}";
        $.easyAjax({
            type: 'POST'
            , url: url
            , container: '#edit_salary_form'
            , data: $('#edit_salary_form').serialize()
        , });
    }

</script>
<script>
    $(function() {
        $("input[name='mobileNumber']").on('input', function(e) {
            $(this).val($(this).val().replace(/[^0-9]/g, ''));
        });
        $("input[name='emergency_phone']").on('input', function(e) {
            $(this).val($(this).val().replace(/[^0-9]/g, ''));
        });
    });
</script>
<script>
    function onlynum() {
        var fm = document.getElementById("form1");
        var res = ip.value;
  
        if (res != '') {
            if (isNaN(res)) {
                  
                // Set input value empty
                ip.value = "";
                  
                // Reset the form
                fm.reset();
                return false;
            } else {
                return true
            }
        }
    }
    function onlynum1() {
        var fm = document.getElementById("form2");
        var res = ip.value;
  
        if (res != '') {
            if (isNaN(res)) {
                  
                // Set input value empty
                ip.value = "";
                  
                // Reset the form
                fm.reset();
                return false;
            } else {
                return true
            }
        }
    }
</script>

@stop
